sybase_close
sybase_data_seek
Sybase Functions
PHP Manual

# sybase_connect

(PHP 4, PHP 5)

sybase_connect — Opens a Sybase server connection

### Description

resource sybase_connect ([ string `$servername` [, string `$username` [, string `$password` [, string `$charset` [, string `$appname` ]]]]] )

sybase_connect() establishes a connection to a Sybase server.

In case a second call is made to sybase_connect() with the same arguments, no new link will be established, but instead, the link identifier of the already opened link will be returned.

The link to the server will be closed as soon as the execution of the script ends, unless it's closed earlier by explicitly calling sybase_close().

### Parameters

`servername`

  The servername argument has to be a valid servername that is defined in the 'interfaces' file.

`username`

  Sybase user name

`password`

  Password associated with `username` .

`charset`

  Specifies the charset for the connection

`appname`

### Return Values

Returns a positive Sybase link identifier on success, or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
4.0.2 | The `charset` parameter was added.

### Examples

Example #1 sybase_connect() example

`<?php
$link = sybase_connect('SYBASE', '', '')
or die("Could not connect !");
echo "Connected successfully";
sybase_close($link);
?>`

### See Also

- sybase_pconnect()
- sybase_close()

sybase_close
sybase_data_seek
Sybase Functions
PHP Manual